Page MenuHomePhabricator

Workshop on project ideas for new editors experiences
Closed, ResolvedPublic

Description

Related to the focus area of "new editor experiences" (T219795).

This workshop would be led by engineers from the WMF Growth team, and is geared toward Hackathon participants who want to build software that helps new wiki editors be productive and fit into their communities.

We think this session should be as early as possible on the first day of the Hackathon.

We will cover:

  • The engineering projects that have been started to make editing easier and to make learning easier.
  • Some of the facts about newcomers' biggest challenges and needs in which the projects are grounded.
  • Concrete ideas for Hackathon projects that can build on existing work in this domain, and ideas for prototypes of new ideas.

Leaders:

Schedule

  • 1400 on Saturday, Education center 2NP

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2019, 3:56 PM

@Urbanecm -- would you be interested in helping lead this session? You obviously have good knowledge and perspective for this topic. If so, please add your name to the list.

Urbanecm updated the task description. (Show Details)Apr 4 2019, 4:40 PM

@Urbanecm -- would you be interested in helping lead this session? You obviously have good knowledge and perspective for this topic. If so, please add your name to the list.

Of course, I'll be more than happy to help with this., I've added myself. Let me know if you want anything specific from me!

Urbanecm moved this task from Backlog to Radar on the User-Urbanecm board.

Hello! The program is now open for scheduling. Please go ahead and add your session here: https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2019/Program#Program
Following these instructions: https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2019/Program#How_to_schedule_a_session

Thanks for the notice, @Rfarrand! @SBisson and @kostajh added our session to the 1400 slot on Friday in the Education Center.

Trizek-WMF updated the task description. (Show Details)May 6 2019, 3:48 PM
Urbanecm updated the task description. (Show Details)May 6 2019, 4:31 PM

Hi everyone, I've rescheduled the session to 1400, Education center 2NP. This was done after discussion with the rest of Hackathon organizing team, to make program a little bit more structured. I hope no one mind!

Yupik added a subscriber: Yupik.May 15 2019, 1:14 PM
Tgr added a subscriber: Tgr.May 16 2019, 12:17 PM
Tgr awarded a token.May 16 2019, 12:25 PM

@SBisson: Did this session take place? If it did, please feel free to create any potential follow-up tasks and set the status of this task to "Resolved" via the Add Action...Change Status dropdown. Thanks!

SBisson closed this task as Resolved.May 24 2019, 2:19 AM

@Aklapper unfortunately I couldn't attend the hackathon but this session took place.

Any slides of presentation?

Any slides of presentation?

It was a overview of existing projects and mockups, shown from https://www.mediawiki.org/wiki/Growth and sub-pages.